- Home »
- Catalog »
- Front Disc Brake Conversion Kits »
- Manual Front Kits
LEED Brakes » LEED Brakes
Browse Manual Front Kits Products
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition:
New
Price: $1,799.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition:
New
Price: $1,799.99
Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: BFC0005-4C7X
Condition:
New
Price: $1,799.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...More Details »
Item #: BFC0026-405X
Condition:
New
Price: $2,074.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description:
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: BFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: RFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: FC2004-C05X
Condition:
New
Price: $1,984.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the...More Details »
Item #: BFC0008-405X
Condition:
New
Price: $1,799.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0008-405X
Condition:
New
Price: $1,799.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles.
Experience the...More Details »
Item #: FC0026-405X
Condition:
New
Price: $1,999.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and...More Details »
Item #: RFC0026-405X
Condition:
New
Price: $2,074.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for Mopar B & E-Body applications. This kit includes everything needed...More Details »
Item #: FC2005-C05X
Condition:
New
Price: $1,894.99
Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: RFC0005-4C7X
Condition:
New
Price: $1,799.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with black calipers....More Details »
Item #: BFC2005-C05X
Condition:
New
Price: $1,998.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with red calipers....More Details »
Item #: RFC2005-C05X
Condition:
New
Price: $1,998.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-C05X
Condition:
New
Price: $2,002.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-C05X
Condition:
New
Price: $2,002.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C Body vehicle with the safety, reliability, and stopping performance of a LEED Brakes drum-to-manual disc brake conversion kit. This front disc brake conversion kit includes...More Details »
Item #: FC2003-C05X
Condition:
New
Price: $1,519.99
Ford Bronco
Description: Strengthen your Bronco's spirit with a brand new forged steel drum brake wheel hub!
Conquer the toughest trails with the confidence of a new forged steel drum brake wheel hub, built to outlast...More Details »
Item #: WH001
Condition:
New
Price: $249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Chevy Bel Air & Impala front spindle mount disc brake conversion kit. This kit...More Details »
Item #: RFC1010-3A3X
Condition:
New
Price: $1,124.99
Tri-Five Chevy, GM Full Size
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' 1955-1958 Chevrolet manual front spindle mount disc brake conversion kit. This kit includes everything...More Details »
Item #: FC1010-3A1
Condition:
New
Price: $909.99
Tri-Five Chevy, GM Full Size
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' 1955-1958 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This kit includes...More Details »
Item #: FC1010-305
Condition:
New
Price: $889.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1010-305X
Condition:
New
Price: $1,029.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-305X
Condition:
New
Price: $1,104.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-3A3X
Condition:
New
Price: $1,124.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Chevrolet manual front spindle mount disc brake conversion kit. This kit includes...More Details »
Item #: FC1010-3A1X
Condition:
New
Price: $1,049.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-3A1X
Condition:
New
Price: $1,124.99
Tri-Five Chevy, GM Full Size
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Chevy Bel Air & Impala manual front spindle mount disc brake conversion kit. This kit...More Details »
Item #: FC1010-3A3
Condition:
New
Price: $909.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-305X
Condition:
New
Price: $1,104.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size GM front spindle mount disc brake conversion kit. This kit includes...More Details »
Item #: FC1010-3A3X
Condition:
New
Price: $1,049.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1959-64 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-305
Condition:
New
Price: $889.99
Bel Air, Impala, Biscayne, El Camino, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1959-64 Full-Size Chevrolet manual front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1011-305X
Condition:
New
Price: $1,107.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-FA1X
Condition:
New
Price: $1,179.99
Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-FA1
Condition:
New
Price: $1,039.99
Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-FA1X
Condition:
New
Price: $1,254.99
Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This front disc brake conversion...More Details »
Item #: RFC1006-FA1X
Condition:
New
Price: $1,254.99
Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles, this...More Details »
Item #: FC5001-405
Condition:
New
Price: $1,319.99
Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967-1969 Ford or Mercury with a manual front disc brake conversion kit from LEED Brakes. Designed for select Ford and Mercury models, including the Mustang, Fairlane, Falcon,...More Details »
Item #: BFC0006-405X
Condition:
New
Price: $1,799.99
Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967-1969 Ford or Mercury with a manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount LEED...More Details »
Item #: RFC0006-405X
Condition:
New
Price: $1,799.99
Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC0002-405X
Condition:
New
Price: $1,429.99
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for the 1970 Ford Mustang. This kit includes everything needed to...More Details »
Item #: FC0003-405
Condition:
New
Price: $1,294.99
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mount to...More Details »
Item #: FC0003-405X
Condition:
New
Price: $1,434.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1966 Ford Mustang from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston brakes and MaxGrip XDS...More Details »
Item #: FC0005-405X
Condition:
New
Price: $1,724.99
Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury from front drum brakes to disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston brakes. Designed to mount directly to your...More Details »
Item #: FC0005-4C7X
Condition:
New
Price: $1,724.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971–1973 Ford Mustang from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0008-405X
Condition:
New
Price: $1,724.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with the safety, reliability, and performance of front disc brakes using this complete drum-to-disc conversion...More Details »
Item #: BFC1003-305X
Condition:
New
Price: $1,213.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with our GM AFX Manual Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, Chrome Master...More Details »
Item #: RFC1003-F05X
Condition:
New
Price: $1,304.99
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete drum-to-disc front brake conversion...More Details »
Item #: RFC1003-3A1X
Condition:
New
Price: $1,284.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern manual front disc brakes using this GM AFX Manual Front Disc Brake Kit featuring 2" drop spindles, drilled and...More Details »
Item #: RFC1003-FA1X
Condition:
New
Price: $1,374.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with our GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles, Black Calipers, Chrome Master Cylinder. This...More Details »
Item #: BFC1003-F05X
Condition:
New
Price: $1,304.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion using this GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles, Drilled &...More Details »
Item #: BFC1003-FA1X
Condition:
New
Price: $1,374.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front disc brake conversion using this GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles,...More Details »
Item #: RFC1003-FA3X
Condition:
New
Price: $1,344.99
Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1967-69 Ford Mustang with this drum-to-manual front disc brake conversion kit. In this manual brake conversion kit from LEED...More Details »
Item #: FC0002-405
Condition:
New
Price: $1,289.99
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1971–1973 Mustang with this drum to manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake...More Details »
Item #: FC0004-405
Condition:
New
Price: $1,299.99
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1971–1973 Ford Mustang with this drum to manual front disc brake conversion kit from LEED Brakes. This kit includes everything...More Details »
Item #: FC0004-405X
Condition:
New
Price: $1,439.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-disc brake conversion. This front disc brake conversion kit includes everything needed to mount...More Details »
Item #: FC1003-305X
Condition:
New
Price: $1,138.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-disc brake conversion kit. This complete front disc brake conversion includes everything needed to...More Details »
Item #: FC1003-3A3X
Condition:
New
Price: $1,209.99
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your GM AFX vehicle with this drum-to-disc brake conversion. This kit includes everything needed to mount single-piston disc brakes to...More Details »
Item #: FC1003-3A1X
Condition:
New
Price: $1,209.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the LEED Brakes Manual Front Disc Brake Conversion Kit featuring 2" Drop Spindles, MaxGrip XDS Cross-Drilled and...More Details »
Item #: FC1003-F05X
Condition:
New
Price: $1,229.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Manual Front Disc Brake Conversion Kit with 2" Drop Spindles, Cross-Drilled and Slotted Rotors, Chrome Aluminum...More Details »
Item #: FC1003-FA3X
Condition:
New
Price: $1,269.99